=== debian/control ===
Source: trustedqsl
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           tony mancill <tmancill@debian.org>
Section: hamradio
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcurl4-openssl-dev,
               libexpat1-dev,
               liblmdb-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
Homepage: https://sourceforge.net/projects/trustedqsl/
Rules-Requires-Root: no

Package: trustedqsl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: QSL log signing for the Logbook of the World (LoTW)
 Open source libraries and utilities to support using digital signatures
 for amateur radio QSL information.
 .
 A QSL is a confirmation of contact between two amateur radio stations.
 The ARRL Logbook of the World project is a database which collects
 data about contacts between amateur stations (QSOs). This package
 provides the 'tqsl' program for maintaining your digital certificates
 for LoTW and signing and uploading QSO log files.
