=== debian/changelog ===
trustedqsl (2.6.5-2) unstable; urgency=medium

  * Symlink /usr/share/docs/trustedqsl/help to upstream docs
    (Closes: #1020635)
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Sat, 14 Jan 2023 10:33:45 -0800

trustedqsl (2.6.5-1) unstable; urgency=medium

  * New upstream version 2.6.5
  * Update build-dep for wxWidgets to 3.2 (Closes: #1019778)

 -- tony mancill <tmancill@debian.org>  Wed, 14 Sep 2022 17:26:37 -0700
