=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libexpat1-dev,
                liblmdb-dev,
                libssl-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Homepage: https://sourceforge.net/projects/trustedqsl/
