=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 project(tqsl)
 
-set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")
-
-string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})
+option(TQSL_FLATPAK "Set for Flatpak builds" OFF)
 
 if(WIN32)
 	set(wxWidgets_USE_STATIC ON)
@@ -24,7 +22,7 @@
 	find_path(CARBON_INCLUDE_DIR Carbon.h)
 endif()
 
-include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${BDB_INCLUDE_DIR} ${LMDB_INCLUDE_DIR})
+include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${SQLite3_INCLUDE_DIRS} )
 
 if(${BUILD} MATCHES "-(alpha|beta|test|rc[0-9])")
 	message("${BUILD} is a test build")
@@ -36,12 +34,9 @@
 endif()
 
 if(WIN32)
-	set(TQSLLIB_NAME tqsllib2)
 	set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
 	set(TQSL_RCFILE "tqsl.rc")
 	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
-else()
-	set(TQSLLIB_NAME tqsllib)
 endif()
 
 if(APPLE)
@@ -50,7 +45,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2022 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2023 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -94,7 +89,7 @@
 file_edit.xpm properties_dis.xpm save.xpm import.xpm lotw.xpm)
 add_executable(tqsl WIN32 MACOSX_BUNDLE ${TQSL_SRC} ${TQSL_HDR} ${TQSL_XPM} ${TQSL_RCFILE})
 
-target_link_libraries(tqsl ${TQSLLIB_NAME}
+target_link_libraries(tqsl ${TQSLLIBNAME}
   ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY} ${EXPAT_LIBRARIES})
 
 if(WIN32)
@@ -107,7 +102,22 @@
 	install(TARGETS tqsl DESTINATION ${CMAKE_INSTALL_BINDIR})
 	install(DIRECTORY help DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 	install(FILES tqsl.5 DESTINATION ${CMAKE_INSTALL_MANDIR}/man5)
-	install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps RENAME TrustedQSL.png)
+	if (TQSL_FLATPAK)
+		install(FILES icons/key128.png DESTINATION ${CMAKE_INSTALL_DATADIR}/app-info/icons/flatpak/128x128 RENAME org.arrl.trustedqsl.png)
+		install(FILES icons/key64.png DESTINATION ${CMAKE_INSTALL_DATADIR}/app-info/icons/flatpak/64x64 RENAME org.arrl.trustedqsl.png)
+		install(FILES org.arrl.trustedqsl.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+	else()
+		install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps RENAME TrustedQSL.png)
+	endif()
+	install(FILES icons/key128.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key64.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key32.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key16.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps RENAME org.arrl.trustedqsl.png)
+
+	install(FILES org.arrl.trustedqsl.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	install(FILES lang/ca_ES/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ca_ES/LC_MESSAGES)
 	install(FILES lang/de/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES)
 	install(FILES lang/es/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES)
 	install(FILES lang/fi/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fi/LC_MESSAGES)
@@ -115,11 +125,34 @@
 	install(FILES lang/hi_IN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/hi_IN/LC_MESSAGES)
 	install(FILES lang/it/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES)
 	install(FILES lang/ja/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ja/LC_MESSAGES)
+	install(FILES lang/pl_PL/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pl_PL/LC_MESSAGES)
 	install(FILES lang/pt/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pt/LC_MESSAGES)
+	install(FILES lang/ru/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
+	install(FILES lang/sv_SE/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/sv_SE/LC_MESSAGES)
+	install(FILES lang/tr_TR/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/tr_TR/LC_MESSAGES)
 	install(FILES lang/zh_TW/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_TW/LC_MESSAGES)
 	install(FILES lang/zh_CN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
-	install(FILES lang/ru/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
 	install(FILES languages.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 	install(FILES cab_modes.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
-
+#
+# Flatpak doesn't come with installed wxWidgets localizations
+# so add them in
+#
+	if (TQSL_FLATPAK)
+		install(FILES org.arrl.trustedqsl.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+		install(FILES lang/ca_ES/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ca_ES/LC_MESSAGES)
+		install(FILES lang/de/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES)
+		install(FILES lang/es/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES)
+		install(FILES lang/fi/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fi/LC_MESSAGES)
+		install(FILES lang/fr/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fr/LC_MESSAGES)
+		install(FILES lang/hi_IN/wxstd.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/hi_IN/LC_MESSAGES)
+		install(FILES lang/it/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES)
+		install(FILES lang/ja/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ja/LC_MESSAGES)
+		install(FILES lang/pl_PL/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pl_PL/LC_MESSAGES)
+		install(FILES lang/ru/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
+		install(FILES lang/sv_SE/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/sv_SE/LC_MESSAGES)
+		install(FILES lang/tr_TR/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/tr_TR/LC_MESSAGES)
+		install(FILES lang/zh_CN/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
+		install(FILES lang/zh_TW/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_TW/LC_MESSAGES)
+	endif()
 endif()
