=== debian/changelog ===
trustedqsl (2.7.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Wed, 27 Dec 2023 15:54:35 -0800

trustedqsl (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2

 -- tony mancill <tmancill@debian.org>  Sat, 16 Dec 2023 17:45:00 -0800
