=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libexpat1-dev,
-               liblmdb-dev,
+               libsqlite3-dev,
                libssl-dev,
                libwxgtk3.2-dev,
                zlib1g-dev
