## trustedqsl 2.7.3

=== debian/changelog ===
trustedqsl (2.7.3-2) unstable; urgency=medium

  * Team upload
  * Remove old, duplicated desktop files

 -- Daniel Rusek <mail@asciiwolf.com>  Sat, 03 Aug 2024 12:04:26 +0200

trustedqsl (2.7.3-1) unstable; urgency=medium

  * Team upload

  [ Loren M. Lang ]
  * Fix watch file to ignore warning about possible PGP signature
  * New upstream version 2.7.3
  * Bump Standards-Version to 4.7.0
  * Freshen years in debian/copyright

 -- Loren M. Lang <lorenl@north-winds.org>  Sun, 21 Apr 2024 17:35:34 -0700
