## trustedqsl 2.7.4

=== debian/changelog ===
trustedqsl (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4

 -- tony mancill <tmancill@debian.org>  Sun, 03 Nov 2024 16:42:36 -0800
