=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 add_definitions(-DTQSL_VERSION_MAJOR=${TQSL_VERSION_MAJOR})
 add_definitions(-DTQSL_VERSION_MINOR=${TQSL_VERSION_MINOR})
 add_definitions(-DTQSL_VERSION_UPDATE=${TQSL_VERSION_UPDATE})
+add_definitions(-DTQSL_VERSION_PATCH=${TQSL_VERSION_PATCH})
 
 option(TQSLLIB_STATIC "Build static tqsllib" OFF)
 if (${TQSLLIB_STATIC})
@@ -52,7 +53,7 @@
 add_library(${TQSLLIBNAME} ${TQSLLIBTYPE} ${TQSLLIB_SRC} ${TQSLLIB_HDR} ${TQSLLIB_RCFILE})
 target_link_libraries(${TQSLLIBNAME} ${OPENSSL_LIBRARIES} ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${SQLite3_LIBRARIES} ${CARBON_LIBRARY})
 if(WIN32)
-  target_link_libraries(${TQSLLIBNAME} ws2_32)
+  target_link_libraries(${TQSLLIBNAME} ws2_32 Crypt32)
 endif()
 include_directories(${OPENSSL_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${SQLite3_INCLUDE_DIRS} ${CARBON_INCLUDE_DIR})
