=== debian/changelog ===
trustedqsl (2.7.5-1) unstable; urgency=medium

  * New upstream version 2.7.5 (Closes: #1088845)

 -- tony mancill <tmancill@debian.org>  Sun, 01 Dec 2024 14:34:18 -0800
