=== debian/changelog ===
trustedqsl (2.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Fri, 20 Jun 2025 10:51:04 -0700

trustedqsl (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1.

 -- Christoph Berg <myon@debian.org>  Thu, 01 May 2025 11:05:39 +0200

trustedqsl (2.7.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Team upload
  * Rebuild for bookworm-backports.

 -- Loren M. Lang <lorenl@north-winds.org>  Sat, 21 Dec 2024 18:50:38 -0800

trustedqsl (2.7.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Thu, 02 May 2024 23:32:58 -0700
