=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 find_package(ZLIB REQUIRED)
 
 set(TQSLLIB_VERSION_MAJOR 2)
-set(TQSLLIB_VERSION_MINOR 5)
+set(TQSLLIB_VERSION_MINOR 6)
 set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")
 
 add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})
