=== debian/changelog ===
trustedqsl (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Sep 2025 15:03:00 +0200
