=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libssl-dev,
                libwxgtk3.2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Homepage: https://sourceforge.net/projects/trustedqsl/
