## trustedqsl 2.8.3

=== debian/changelog ===
trustedqsl (2.8.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- tony mancill <tmancill@debian.org>  Fri, 23 Jan 2026 11:48:45 -0800

trustedqsl (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Jan 2026 13:08:17 +0100

trustedqsl (2.8.2-1~bpo13+1) trixie-backports; urgency=medium

  * Add debian/gbp.conf for trixie-backports
  * Rebuild for trixie-backports.

 -- tony mancill <tmancill@debian.org>  Sat, 03 Jan 2026 14:50:26 -0800
