## trustedqsl 2.8.4

=== debian/changelog ===
trustedqsl (2.8.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 08 Feb 2026 08:17:55 -0800

trustedqsl (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Feb 2026 21:08:44 +0100
